Qnap installation failed

Hey Sickrage, i followed this guide. “How to install on QNap

I have installed the Entware-ng on my qnap TS-451+ but when i try to install sickrage from the repo.
I recive following error.

QSickRage 1.7 installation failed. The following Optware package must be installed: unrar, python, git-http, python-pip, python-lxml, python-psutil, python-cffi, gcc.

What should i do? i tried to install from qnapclub (unrar, QGit) and Python3 and Python from qnap store.

I haven’t installed on qnap in some time so I would need to go back through the guide and see if anything has changed.

That is fine, any timeline when you will do this?